Search API webhooks
curl --request POST \
--url https://api.heyy.io/v3/api_webhooks/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"sortBy": "<string>",
"search": "<string>"
}
'import requests
url = "https://api.heyy.io/v3/api_webhooks/search"
payload = {
"query": "<string>",
"sortBy": "<string>",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', sortBy: '<string>', search: '<string>'})
};
fetch('https://api.heyy.io/v3/api_webhooks/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [],
"pagination": {
"page": 0,
"limit": 0,
"total": 0
},
"query": {
"query": "string",
"sortBy": "string",
"search": "string"
}
}{
"success": false,
"error": {
"messageKey": "invalid_body_params",
"message": "Invalid body params",
"invalidParams": {
"email": {
"key": "invalid_string",
"message": "Invalid email"
}
}
}
}{
"success": false,
"error": {
"messageKey": "unauthorized",
"message": "Unauthorized"
}
}{
"success": false,
"error": {
"messageKey": "insufficient_billing_plan",
"message": "Insufficient billing plan"
}
}{
"success": false,
"error": {
"messageKey": "forbidden",
"message": "Forbidden"
}
}{
"success": false,
"error": {
"messageKey": "contact_not_found",
"message": "Contact not found"
}
}{
"success": false,
"error": {
"messageKey": "too_many_requests",
"message": "Too many requests. Limit is applied per minute per tenant. Please retry after the time indicated by the X-RateLimit-Reset header."
}
}{
"success": false,
"error": {
"messageKey": "internal_error",
"message": "Oops! Something went wrong"
}
}MANAGE WEBHOOKS
Search API webhooks
POST
/
api_webhooks
/
search
Search API webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Structured filter expression. See Query syntax for expression functions. Filterable fields: id, createdAt, updatedAt, status, url, events.
Sort expression. See Sort By syntax for expression functions. Sortable fields: id, createdAt, updatedAt, status, url, events.
Page through results. Defaults to page 0 and limit 10 when omitted. See Pagination.
Show child attributes
Show child attributes
Was this page helpful?
⌘I